
import '../../../../../../food_delivery_client.dart';

class WAllCategoriesSkeletonizer extends StatelessWidget {
  const WAllCategoriesSkeletonizer({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Skeletonizer(
      enabled: true,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          25.verticalSpace,
          Text(
            context.loc.allCategories,
            style: AppTextStyles.size24Medium.copyWith(height: 36 / 24),
          ),
          11.verticalSpace,
          GridView.builder(
            itemCount: 10,
            shrinkWrap: true,
            padding: EdgeInsets.zero,
            physics: const NeverScrollableScrollPhysics(),
            gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
              crossAxisCount: 2,
              mainAxisSpacing: 15,
              crossAxisSpacing: 10,
              mainAxisExtent: 140,
            ),
            itemBuilder: (context, index) {
              return WBrowseSkeletonizerItem();
            },
          ),
        ],
      ),
    );
  }
}
